#!/bin/bash

# updated by WIPAT 2554-09-12
# updated by WISIT 2556-06-05

# backup /var/www/cloning, /var/lib/tftpboot, /home/papa, /etc/dhcp/dhcpd.conf

SOURCE="/var/www/cloning"
HOME_DIR="/home/mama/backup-server"
TEMP1="/tmp/TEMP1.$$"

if [ ! -d ${HOME_DIR} ] ; then
  mkdir -p ${HOME_DIR}
fi
find ${SOURCE} -type d > ${TEMP1}
find /var/lib/tftpboot -type d | grep "/zone" >> ${TEMP1}
find /var/lib/tftpboot -type d | grep "/pxelinux.cfg" >> ${TEMP1}
find /home/papa -type d | grep -v "\." >> ${TEMP1}
echo "/etc/dhcp" >> ${TEMP1}
echo "/etc/freeradius" >> ${TEMP1}
while read LINE ; do
  TARGET_DIR="${HOME_DIR}${LINE}"
  if [ ! -d ${TARGET_DIR} ] ; then
    mkdir -p ${TARGET_DIR}
  fi
done < ${TEMP1}
find ${SOURCE} -type f > ${TEMP1}
find /var/lib/tftpboot -type f | grep "/zone" | grep "/menu" >> ${TEMP1}
find /var/lib/tftpboot -type f | grep "/pxelinux.cfg" >> ${TEMP1}
find /home/papa -type f | grep -v "/\." >> ${TEMP1}
echo "/etc/dhcp/dhcpd.conf" >> ${TEMP1}
sudo find /etc/freeradius -type f | grep "\.sh" >> ${TEMP1}
sudo find /etc/freeradius -type f | grep "\.exp" >> ${TEMP1}
sudo find /etc/freeradius -type f | grep "list\.txt" >> ${TEMP1}
while read LINE ; do
  INFO=$(ls -clQ --time-style=long-iso ${LINE})
  CTIME=$(echo ${INFO}|awk '{ print $6"-"$7 }')
  TARGET_FILE=$(echo "${HOME_DIR}${LINE}_${CTIME}")
  cp -uv ${LINE} ${TARGET_FILE}
done < ${TEMP1}
rm -f ${TEMP1}
