#!/bin/bash

# updated by WIPAT 2553-10-11

# updated by WIBOON 
VERSIONDATE="2556-06-14"

if [ -z "${1}" ] ; then
  echo "which zone?"
  exit
else
  MYAREA="${1}"
fi

TEMP1="/tmp/bootmenu-temp1.$$"
TEMP2="/tmp/bootmenu-temp2.$$"
TEMP3="/tmp/bootmenu-temp3.$$"
TEMPALL="/tmp/bootmenu-temp*.$$"
LISTS="/etc/dhcp/dhcpd.conf"
DIALOGOPTS="--backtitle PSU12-Sritrang(${VERSIONDATE})"
MYSCRIPT="/home/papa/boot.sh"
MYALLSCRIPT="/home/papa/bootall.sh"
# get PC list from DHCP 
grep "host" ${LISTS}|grep -v "#"|grep "${MYAREA}" > ${TEMP2}
while read LINE ; do
  PCLIST=$(echo ${LINE}|awk '{print $8" "$2"="$6" off "}'|\
   sed "s/;//g"|sed "s/}//")
  PCMENU=$(echo "${PCMENU} ${PCLIST}")
done < ${TEMP2}

MESSAGE="${DIALOGOPTS} --begin 2 4 --menu \"${MYAREA} : select boot\" 0 50 0 "
echo "${MESSAGE}"  > ${TEMP3}
echo '0 "Sysresccd+CLONING" \' >> ${TEMP3}
echo '1 "sda1-MS-windows" \' >> ${TEMP3}
echo '2 "sda2-MS-windows" \' >> ${TEMP3}
echo '3 "sda3-MS-windows" \' >> ${TEMP3}
echo '4 "live-Custom" \' >> ${TEMP3}
echo '5 "live-Linux-Mint" \' >> ${TEMP3}
echo '6 "sda6-Linux-Client" \' >> ${TEMP3}
echo '7 "local-disk-boot" \' >> ${TEMP3}
echo '8 "live-PSU-lib" \' >> ${TEMP3}
echo '9 "boot multi partition" \' >> ${TEMP3}
dialog --file ${TEMP3} 2>${TEMP1}

BOOTPART=$?
if [ "${BOOTPART}" != "0" ] ; then
  rm -f ${TEMPALL}
  exit
fi
BOOTPART=$(cat ${TEMP1})
MYBOOT=$(grep "^${BOOTPART}" ${TEMP3}|cut -d'"' --output-delimiter="" -f 1-2)

dialog ${DIALOGOPTS} --begin 2 7 \
  --checklist "${MYAREA} : boot=${MYBOOT} Choose IP:" 0 70 10 \
  ALL${MYAREA} "ALL ${MYAREA}" off \
  ${PCMENU} \
2>$TEMP1
for LINE in $(cat ${TEMP1}) ; do
  PC=$(echo ${LINE}|cut -d'"' -f 2)
  if [ "${PC}" = "ALL${MYAREA}" ] ; then
    sh ${MYALLSCRIPT} ${MYAREA} ${BOOTPART}
    exit
  fi
  sh ${MYSCRIPT} ${MYAREA} ${BOOTPART} ${PC}
done

rm -f ${TEMPALL}
