#!/bin/bash
#pom 19-6-56
DEFAULTSERVER="ftp.psu.ac.th"
DEFAULTFILE="psu-lib.iso"
echo $0
if [ -z "$1" ]; then
   echo "Usage:   bash $0 default"
   echo "   or:   bash $0 serverurl"
   echo "         example: bash $0 http://${DEFAULTSERVER}/pub/psu-lib/${DEFAULTFILE}"
   exit
fi
SERVER1=${1}
FILE1="psulib.iso"
if [ "${SERVER1}" = "default" ]; then
  wget http://ftp.psu.ac.th/pub/psu-lib/${DEFAULTFILE} -O /tmp/${FILE1}
  if [ "$?" != "0" ]; then
    echo "Auh! Try again."
    exit
  fi
else
  wget ${SERVER1} -O /tmp/${FILE1}
  if [ "$?" != "0" ]; then
    echo "Auh! Try again."
    exit
  fi
fi
OS1="psulib"
mkdir -p /tmp/${OS1}
sudo mount -o loop /tmp/${FILE1} /tmp/${OS1}
sudo sh -c "tar -c -C  /tmp/${OS1} . | tar -xv -C /var/lib/tftpboot/${OS1}"
sudo umount /tmp/${OS1}
