#!/bin/bash
# report pc usage clib
# pom 16-6-56 7.12

dash1=$(perl -e "printf '-' x 70")
ip1=192.168.26.20
date1=$(date +%Y/%m/%d)
date2=$(date +%Y-%m-%d)
#date1=2013/06/14
#date2=2013-06-14
dir1=/var/www/test/report/tickerpc
      if [ ! -d ${dir1} ] ;then
         sudo mkdir -p ${dir1}
         sudo chown mama ${dir1} -R
      fi
dir2=/var/www/test/report/tickerpc/${date2}
      if [ ! -d ${dir2} ] ;then
         sudo mkdir -p ${dir2}
         sudo chown mama ${dir2} -R
      fi
dir3=/var/www/ticker/datalog/${date1}/
file1=${dir1}/${date2}.html   
cat /dev/null > ${file1}
date > ${file1}
#echo "<br>" >> ${file1}
total1=$(ls ${dir3} | wc -l)
echo "<br>PC Usage Total = ${total1} <br>" >> ${file1}

# grep ip from /etc/dhcp/dhcpd.conf search ip in /var/www/ticker....
# summary per ip usage (pc no = ipaddress) 
 grep host /etc/dhcp/dhcpd.conf | awk '{print $8}' | cut -d";" -f1 | grep ^[0-9] | egrep -v '192.168.26.(222|230|20$)' | sort -t. -n -k1,1 -k2,2 -k3,3 -k4,4 | while read line1 
	do
              a=$(grep -r ${line1} ${dir3} | wc -l) 
		if [ ${a} = 0 ]  ;then
                    linea=${line1}
                else
		    linea="<a href=http://${ip1}/test/report/tickerpc/${date2}/${line1}>${line1}</a>" 
	  	    file2=${dir2}/${line1}
		    cat /dev/null > ${file2}
        	    date > ${file2}
              	    echo ${line1} = ${a} >> ${file2}
	            grep -rh ${line1} ${dir3} | cat -n >> ${file2}
		fi
              echo ${date2} ${linea} = ${a} "<br>" >> ${file1} 
              #echo ${dash1} "<br>"      >> ${file1} 
	done
