#!/bin/bash
# install psu-12 to 12.04 
# pom 26-4-56 21.23 
#--------------- START --------------------
DIR1=${HOME}/psu-cloning
#sudo apt-get  update && sudo apt-get -y dist-upgrade

#3
sudo apt-get -y install curl dialog expect lynx whois nbtscan netmask nmap imagemagick unzip


#4
VERUDP=20120424
wget http://ftp.psu.ac.th/pub/udpcast/udpcast_${VERUDP}_i386.deb -P /tmp
sudo dpkg -i /tmp/udpcast_${VERUDP}_i386.deb 

#5
VERPARTCLONE=0.2.48
wget http://ftp.psu.ac.th/pub/partclone/partclone_${VERPARTCLONE}_i386.deb -P /tmp
sudo dpkg -i /tmp/partclone_${VERPARTCLONE}_i386.deb 

#6
LISTSHELL="install-grub2.sh makezone.sh backup-server.sh change-mtu.sh"
for H in ${LISTSHELL}
	do
		wget -O /home/mama/${H}  http://ftp.psu.ac.th/pub/psu-12/dists-12/home/mama/${H}
	done
	mkdir -p /home/mama/swap-area 

#8
sudo apt-get -y install  tftpd-hpa tftp
sudo mkdir -p /var/lib/tftpboot/sysresccd
sudo mkdir -p /var/lib/tftpboot/zone1
sudo mkdir -p /var/lib/tftpboot/linuxmint
sudo mkdir -p /var/lib/tftpboot/psulib
sudo mkdir -p /var/lib/tftpboot/custom
sudo mkdir -p /var/lib/tftpboot/boot
sudo mkdir -p /var/lib/tftpboot/pxelinux.cfg
sudo chmod -R g+w /var/lib/tftpboot/zone*
sudo chmod g+s /var/lib/tftpboot/zone*
#sudo wget http://ftp.psu.ac.th/pub/psu-12/dists-12/var/lib/tftpboot/sysresccd/psu-12.jpg -O /var/lib/tftpboot/sysresccd/psu-12.jpg
sudo cp ${DIR1}/picture/penguin1.jpg  /var/lib/tftpboot/sysresccd/psu-12.jpg

#9
sudo useradd -m -s /bin/bash papa
echo "input password papa  papa123"
sudo passwd papa
sudo useradd -m -s /bin/bash prnews
echo "input password prnews  123456"
sudo passwd prnews
sudo cp ${DIR1}/scripts/bootmenu.sh   /home/papa
sudo cp ${DIR1}/scripts/bootall.sh    /home/papa
sudo cp ${DIR1}/scripts/boot.sh       /home/papa
sudo cp ${DIR1}/scripts/multicast.sh  /home/papa
sudo cp ${DIR1}/scripts/mystart.sh    /home/papa
#---------------------

#11
sudo apt-get -y  install apache2 apache2-doc libapache2-mod-perl2
udo mkdir -p /var/www/cloning
sudo mkdir -p /var/www/cloning/zone1
sudo mkdir -p /var/www/sysresccd
sudo wget -O /var/www/sysresccd/autorun1 http://ftp.psu.ac.th/pub/psu-12/dists-12/var/www/sysresccd/autorun1

#12
sudo apt-get -y install vsftpd

#13
sudo apt-get -y install portmap nfs-kernel-server

#14
sudo apt-get -y install dovecot-common dovecot-pop3d

#15
sudo apt-get -y install shorewall
sudo cp /usr/share/doc/shorewall/examples/one-interface/zones /etc/shorewall
sudo cp /usr/share/doc/shorewall/examples/one-interface/interfaces /etc/shorewall
sudo cp /usr/share/doc/shorewall/examples/one-interface/policy /etc/shorewall
sudo cp /usr/share/doc/shorewall/examples/one-interface/rules /etc/shorewall


#16
sudo apt-get -y install isc-dhcp-server
wget -P /tmp http://ftp.psu.ac.th/pub/omar/reportdhcp.pl-2.1.tar.gz
sudo tar -zxvf /tmp/reportdhcp.pl-2.1.tar.gz -C /usr/lib/cgi-bin
sudo cp ${DIR1}/reportdhcp.pl  /usr/lib/cgi-bin
sudo chmod +x /usr/lib/cgi-bin/reportdhcp.pl

#17
VERSION2=3.6.0
wget http://ftp.psu.ac.th/pub/sysresccd/systemrescuecd-x86-${VERSION2}.iso -P /tmp
mkdir /tmp/sysresccd
sudo mount -o loop /tmp/systemrescuecd-x86-${VERSION2}.iso /tmp/sysresccd
sudo cp -v /tmp/sysresccd/isolinux/pxelinux.0 /var/lib/tftpboot/
sudo cp -v /tmp/sysresccd/sysrcd* /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/initram.igz /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/chain.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/menu.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/memdisk /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/rescue32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/vesamenu.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/freedos.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/hdt.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/mhdd.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/memtestp /var/lib/tftpboot/sysresccd/
sudo ln -svf /var/lib/tftpboot/sysresccd/sysrcd.* /var/www/sysresccd/
sudo umount /tmp/sysresccd 

#18
sudo cp ${DIR1}/zone1/*   /var/lib/tftpboot/zone1
sudo cp ${DIR1}/default   /var/lib/tftpboot/pxelinux.cfg/default


#20
sudo mkdir -p /var/www/speedtest
wget http://ftp.psu.ac.th/pub/speedtest/mini.zip -P /tmp
sudo unzip /tmp/mini.zip -d /var/www/speedtest
sudo cp /var/www/speedtest/index-php.html /var/www/speedtest/index.html 

#23
sudo mkdir -p /var/www/log
mkdir -p /home/mama/mac-ip
wget -P /home/mama/mac-ip http://ftp.psu.ac.th/pub/psu-12/dists-12/home/mama/mac-ip/get-localnet.sh
wget -P /home/mama/mac-ip http://ftp.psu.ac.th/pub/psu-12/dists-12/home/mama/mac-ip/myhour.sh
sudo wget -P /etc/cron.d http://ftp.psu.ac.th/pub/psu-12/dists-12/etc/cron.d/myhour


#25
wget http://ftp.psu.ac.th/pub/mrtg/myhost/install-mrtg-myhost.sh -P /tmp
sudo sh /tmp/install-mrtg-myhost.sh
sudo rm /etc/cron.d/mrtg 


#psu ticker
wget http://ftp.psu.ac.th/pub/psu-ticker/psu-ticker.tgz -N -P /tmp 
tar -zxpvf /tmp/psu-ticker.tgz -C /tmp 
cd /tmp/psu-ticker 
sudo sh install-psu-ticker.sh 

#psuradius
wget http://ftp.psu.ac.th/pub/psu-radius/psu-radius.tgz -N -P /tmp 
tar -zxpvf /tmp/psu-radius.tgz -C /tmp 
cd /tmp/psu-radius 
sudo sh install-psu-radius.sh 
sudo radtest mama 123456 localhost 0 testing123 
sudo radtest papa papa123 localhost 0 testing123 
sudo radtest prnews 123456 localhost 0 testing123 

#splash images
#sudo apt-get -y install grub2-splashimages

sudo apt-get -y install phpsysinfo
#----------------------------------------------
#edit file
#2 7 9 11 13 14 16 19 from web opensource.psu.ac.th (behind the scence install psu-12)

LIST="/etc/hosts /etc/rc.local /etc/profile /etc/ssh/sshd_config  /home/papa/.bash_login /etc/apache2/conf.d/charset /etc/default/nfs-kernel-server /etc/default/nfs-common /etc/exports /etc/dovecot/dovecot.conf  /etc/default/isc-dhcp-server  /etc/dhcp/dhcpd.conf /etc/vsftpd.conf /etc/shorewall/rules /etc/network/interfaces"

for I in $LIST
        do
		 sudo cp ${I} ${I}.org
		 sudo cp ${DIR1}/$(basename "${I}") ${I}

        done

cp -r ${DIR1}/backuppxezone            	/home/mama
cp -r ${DIR1}/scripts              	/home/mama
sudo cp -r ${DIR1}/scripts              	/root
cp ${DIR1}/scripts/easy-config.sh       /home/mama
#cp ${DIR1}/picture/viewpsu12.jpg        /home/mama
sudo cp ${DIR1}/picture/*          	/home/prnews
sudo chown prnews  	           	/home/prnews  -Rv
sudo cp ${DIR1}/scripts/welcome.sh      /var/www/cloning
sudo cp ${DIR1}/scripts/backup.sh       /var/www/cloning
sudo chown papa      	           	/home/papa  -Rv
sudo chown papa                    	/var/lib/tftpboot/* -Rv
sudo chown papa                    	/var/www/cloning -Rv
sudo mv /var/www/index.html        	/var/www/index.html.org
sudo cp ${DIR1}/index.php          	/var/www
sudo cp -r ${DIR1}/reportdhcp      	/var/www
sudo cp -r ${DIR1}/mrtg/index.php  	/var/www/mrtg
sudo cp ${DIR1}/70*                     /etc/udev/rules.d
sudo cp ${DIR1}/75*                     /etc/udev/rules.d
sudo cp ${DIR1}/interface*              /etc/network
sudo cp ${DIR1}/dhcpd.conf.variable     /etc/dhcp
sudo cp ${DIR1}/phpsysinfo.conf         /etc/apache2/conf.d/
sudo ln -s /etc/dhcp/dhcpd.conf    	/var/www/dhcpd.txt
sudo ln -s /home/prnews    	        /var/www/
#sudo cp /etc/default/grub  /etc/default/grub.org
#sudo cp ${DIR1}/grub  /etc/default
#sudo update-grub
#------------------ END ------------------
