#!/bin/bash

# udpated by WIPAT 2553-06-15

if [ -z "${1}" ] || [ -z "${2}" ] || [ -z "${3}" ] ; then
  echo "sample usage: sh boot.sh v x y.y.y.y"
  echo "        which v=zone x=boot partition number, y.y.y.y=IP address"
  exit 
fi

MYAREA=${1}
BOOTPART=${2}
PC=${3}
WORK="/home/papa"

DEST="/var/lib/tftpboot/${MYAREA}/${PC}.mnu"
SOURCE="/var/lib/tftpboot/${MYAREA}/menu-${MYAREA}-${BOOTPART}.mnu"
if [ ! -f "${SOURCE}" ] ; then
  echo "sorry: no boot partition number ${BOOTPART}"
  exit
fi
echo "cp -f ${SOURCE} ${DEST}"
cp -f "${SOURCE}" "${DEST}"
