#!/bin/bash

# updated by WIPAT 2553-06-15

if [ -z "${1}" ] || [ -z "${2}" ] ; then
  echo "sample usage: sh bootall.sh v x"
  echo "        which v=zone x=boot partition number"
  exit
fi

MYAREA=${1}
BOOTPART=${2}
MYSCRIPT="/home/papa/boot.sh"
TEMP1="/tmp/bootall-temp1.$$"

# get list from DHCP
MYDHCP="/etc/dhcp/dhcpd.conf"
grep "host" ${MYDHCP}|grep -v "#"|grep "${MYAREA}" > ${TEMP1}
while read LINE ; do
  PCLIST=$(echo ${LINE}|awk '{print $8}'|\
   sed "s/;//g"|sed "s/}//")
  sh ${MYSCRIPT} ${MYAREA} ${BOOTPART} ${PCLIST}
done < ${TEMP1}

rm -f $TEMP1
