#!/bin/sh

# updated 2554-03-28 WIPAT
# updated 2556-04-27 WISIT

if [ -z ${1} ]  || [ -z ${2} ] || [ -z ${3} ]  ;then
   echo "usage:  sudo  bash $0   MYSERVER   NAMESERVER1  NAMERSERVER2"
   echo "example:sudo  bash $0 192.168.11.12 192.100.77.5 192.100.77.2"
   exit
fi

TEMP1="/tmp/easy-config-temp1.$$"
MYSERVER=${1}
NAMESERVER1=${2}
NAMESERVER2=${3}
MYFILE="/var/www/cloning/backup.sh
/var/www/cloning/welcome.sh
/var/www/sysresccd/autorun1
/var/lib/tftpboot/pxelinux.cfg/default
/var/lib/tftpboot/zone1/menu-zone1-0.mnu
/var/lib/tftpboot/zone1/menu-zone1-1.mnu
/var/lib/tftpboot/zone1/menu-zone1-2.mnu
/var/lib/tftpboot/zone1/menu-zone1-3.mnu
/var/lib/tftpboot/zone1/menu-zone1-4.mnu
/var/lib/tftpboot/zone1/menu-zone1-5.mnu
/var/lib/tftpboot/zone1/menu-zone1-6.mnu
/var/lib/tftpboot/zone1/menu-zone1-7.mnu
/var/lib/tftpboot/zone1/menu-zone1-8.mnu
/var/lib/tftpboot/zone1/menu-zone1-9.mnu
${HOME}/backuppxezone/pxelinux.cfg.master/default
${HOME}/backuppxezone/zone1.master/menu*"


#MYSERVER=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)
#if [ -z "${MYSERVER}" ] ; then
#  echo "ERROR: ip address not ready"
#  exit
#fi

for LINE in ${MYFILE} ; do
  sed "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*/${MYSERVER}/g" \
   ${LINE} > ${TEMP1}
  echo "cp -f ${TEMP1} ${LINE}"
  sudo cp -f ${TEMP1} ${LINE}
done 

DATE1=$(date +%F-%H%M%S)
MYNETWORK=$(echo ${MYSERVER}|cut -d'.' -f1,2,3)
MYFILE="/etc/dhcp/dhcpd.conf  /etc/network/interfaces /etc/network/interfaces.fix  /etc/network/interfaces.dhcp"

for LINE in ${MYFILE} ; do
                 sudo cp ${LINE} ${LINE}.${DATE1}
                 sudo cp ${LINE}.variable ${LINE}
  sed -e "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\./${MYNETWORK}\./g" \
      -e "s/NETMASK/255.255.255.0/g" \
      -e "s/NAMESERVER1/${NAMESERVER1}/g" \
      -e "s/NAMESERVER2/${NAMESERVER2}/g" \
      -e "s/NEXTSERVER/${MYSERVER}/g" ${LINE} > ${TEMP1} 
  echo "cp -f ${TEMP1} ${LINE}"
  sudo cp -f ${TEMP1} ${LINE}
done

MYFILE="/etc/shorewall/rules ${HOME}/scripts/shutdown*"
for LINE in ${MYFILE} ; do
  sed "s/[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\./${MYNETWORK}\./g" ${LINE} > ${TEMP1}
  echo "cp -f ${TEMP1} ${LINE}"
sudo cp -f ${TEMP1} ${LINE}
done 
rm -f ${TEMP1}

sudo cp ${HOME}/scripts/shutdown*.sh /root/scripts
bash /home/mama/scripts/networkfix.sh
bash /home/mama/scripts/countdown2.sh
