#!/bin/bash
# get mac for /var/log/syslog 
# to create fix ip mac hostname add to  file dhcpd.conf 
# pom 2-4-56  15.03


## ------------ START --------------

if  [ -z ${1} ] || [ -z ${2} ] || [ -z ${3} ]  ;then
      echo "Usage:    bash  $0  zone  room       startip"     
      echo "example1: bash  $0    1   lab101   192.168.0.11"     
      echo "example2: bash  $0    2   room102  172.29.21.20"     
      exit
fi

DIR1=/var/www/test/mac

if [ ! -d ${DIR1} ]  ;then
	sudo mkdir -p ${DIR1}
	sudo chown ${USER} ${DIR1} -R
fi

FILE1=/var/log/syslog
FILE2=${DIR1}/zone${1}.txt
cat /dev/null > ${FILE2}
FILE3=/etc/dhcp/zone${1}.txt
FILE4=zone${1}.txt
#---------------------------------------------
#NET1=$(ifconfig eth0|grep "inet addr:"|cut -d':' -f2 | awk '{print $1}' | cut -d\. -f1-3) 
# default net = ip of psu-12-server    
# if use other ip => NET1=172.xx.xx.xx or NET1=192.xx.xx.xx or ....
#---------------------------------------------

ZONE1="${1}"
ROOM1="${2}"
NET1=$(echo ${3} | cut -d\. -f1-3) 
IP2=$(echo ${3} | cut -d\. -f4)   
STARTIP1=$(expr ${IP2} - 1)
COMPUTER1=0
#---------------------------------------------
#COMPUTER1=${STARTIP1}
# if number computer same ip  =>   COMPUTER1=${START1}
#  example => host zone1_room101_11 ip = 192.xx.xx.11
#  example => host zone1_room101_12 ip = 192.xx.xx.12

# if number computer not same ip (start number computer = 1) =>  COMPUTER1=0 
#  example => host zone1_room101_1 ip = 192.xx.xx.11


# if number computer not same ip (start number computer = 2) => COMPUTER1=1 
#  example => host zone1_room101_2 ip = 192.xx.xx.11
#---------------------------------------------
MACSERVER=$(ifconfig | grep HWaddr | awk '{print $5}')
sudo grep DHCPACK ${FILE1} | grep -v ${MACSERVER} | grep to | awk -F'to ' '{print $2}' | cut -d' ' -f1 | while read MAC1

	do
		STARTIP1=$(expr ${STARTIP1} + 1)
		COMPUTER1=$(expr ${COMPUTER1} + 1)
		echo "                host zone${1}_${ROOM1}_${COMPUTER1} { hardware ethernet ${MAC1}; fixed-address ${NET1}.${STARTIP1}; }" >> ${FILE2}
	done
cat ${FILE2}   #show file to check 
sudo cp ${FILE2} ${FILE3} #copy file zone?.txt to /etc/dhcp/  for add to dhcpd.conf
cp ${FILE2} ${FILE4}
echo "-------------------------------------"
echo "now file ${FILE4} ready to add to /etc/dhcp/dhcpd.conf"
echo "file ${FILE4} is in ${FILE3}"  
echo "sudo vim /etc/dhcp/dhcpd.conf"  
echo "focus point to add file and press ESC then type :r ${FILE3}"
echo "to quickly search press ESC and type /zone${1}"
echo "thank you for use program"
echo "-------------------------------------"
## ------------ END --------------
