#!/bin/bash"

# updated by WIPAT 2553-06-17

if [ -z "${1}" ] ; then
  echo "sample usage: sh makezone.sh NUMBER"
  echo "              which  NUBMER=zone area number"
  exit 1
fi
if [ "${1}" = "1" ] ; then
  echo "sorry: can not make zone 1"
  exit 2
fi

AREA="${1}"
HOME_DIR="/var/www/cloning"
sudo mkdir -p ${HOME_DIR}/zone${AREA}
sudo chown -Rv papa.papa ${HOME_DIR}/zone${AREA}

HOME_DIR="/var/lib/tftpboot"
sudo mkdir -p ${HOME_DIR}/zone${AREA}
MYFILE=$(ls -1 ${HOME_DIR}/zone1/menu*|cut -d'/' -f 6)
for LINE in ${MYFILE} ; do
  NEWFILE=$(echo ${LINE}|sed "s/-zone1-/-zone${AREA}-/")
  sudo cp -fv ${HOME_DIR}/zone1/${LINE} ${HOME_DIR}/zone${AREA}/${NEWFILE}
  sudo chown -Rv papa.papa ${HOME_DIR}/zone${AREA}
done
