#!/bin/bash

# updated by WIPAT 2553-06-15

# updated by WIBOON 
VERSIONDATE="2556-06-14"

TEMP1="/tmp/mystart-temp1.$$"
TEMP2="/tmp/mystart-temp2.$$"
TEMPALL="/tmp/mystart-temp*.$$"
DIALOGOPTS="--backtitle PSU12-Sritrang(${VERSIONDATE})"

ZONEDIR="/var/lib/tftpboot"
MESSAGE="${DIALOGOPTS} --begin 2 4 --menu \"Select ZONE\" 0 50 0 "
ZONELIST=$(ls -d ${ZONEDIR}/zone*|sed -s "s;${ZONEDIR}/;;g")
echo -n "${MESSAGE}"  > ${TEMP2}
for ID in ${ZONELIST} ; do
  NUM=$(echo "${ID}"|sed -s "s/zone//")
  echo -n " ${NUM} ${ID} " >> ${TEMP2}
done

while true ; do
  dialog --file ${TEMP2} 2>${TEMP1}
  AREA=$?
  if [ "${AREA}" != "0" ] ; then
    rm -f ${TEMPALL}
    exit
  fi
  AREA=$(cat ${TEMP1})
  
  while true ; do
    dialog ${DIALOGOPTS} --begin 2 1 \
      --menu "zone${AREA} : Select your job" 0 50 10 \
      "BOOT-menu-zone${AREA}" "manage PC boot zone${AREA}" \
      "MULTICAST-menu-zone${AREA}" "multicast sender zone${AREA}" \
    2>$TEMP1
    MODE=$?
    if [ "${MODE}" != "0" ] ; then
      break ;
    fi
    MODE=$(cat ${TEMP1})
    case "${MODE}" in
      BOOT-menu-zone${AREA})
        sh bootmenu.sh zone${AREA}
        ;;
      MULTICAST-menu-zone${AREA})
        sh multicast.sh zone${AREA}
        ;;
    esac
  done
done

rm -f ${TEMPALL}
