#!/bin/bash 
# report user per faculty
# pom 29-6-56 15.07

ip1=192.168.26.20
dash1=$(perl -e "printf '-' x 90")
date1=$(date +%Y/%m/%d)
date2=$(date +%Y-%m-%d)
date3=$(date +%y)
date4=$(expr ${date3} + 43)
date5=$(expr ${date4} - 7)
#date1=2013/06/17
#date2=2013-06-17
dir1=/var/www/test/report/tickerfaculty
      if [ ! -d ${dir1} ] ;then
         sudo mkdir -p ${dir1}
      fi
file1=${dir1}/${date2}.html   
cat /dev/null > ${file1}
date > ${file1}
#echo $date2 > ${file1}
dir2=/var/www/test/report/tickerfaculty/${date2}
      if [ ! -d ${dir2} ] ;then
         sudo mkdir -p ${dir2}
      fi
dir3=/var/www/ticker/datalog/${date1}/
total1=$(ls ${dir3}| wc -l)
echo "<br> Total User = ${total1}<br>" >> ${file1}
echo ${dash1} "<br>" >> ${file1}
echo  "<ol>" >> ${file1} 
echo "<table border = 1>" >> ${file1}
echo "<tr>" >> ${file1}
echo "<td>Faculty \ Year</td><td>total</td>" >> ${file1}
for i in $(seq ${date5} ${date4})
do
   echo "<td> ${i} </td>" >> ${file1}
done
echo "</tr>" >> ${file1}
echo "<tr>" >> ${file1}
echo "<td>Summary</td>" >> ${file1}
   p=$(ls ${dir3} | wc -l)
echo "<td><font color = green>${p}</font></td>" >> ${file1}
for k in $(seq ${date5} ${date4})
do
   q=$(ls ${dir3} | cut -d\: -f5 | grep ^${k} | wc -l)
   echo "<td><font color = green> ${q} </font></td>" >> ${file1}
done
echo "</tr>" >> ${file1}
echo "<tr>" >> ${file1}

for code1 in {100..115} 166 177 188 199 psuwit other
	do
	   case ${code1} in
		100)fac="Center-Curriculum";;
                101)fac=Engineering;;
                102)fac=Science;;
                103)fac=Medicine;;
                104)fac=Nursing;;
                105)fac="Management-Sciences";;
                106)fac="Natural-Resources";;
                107)fac="Phamaceutical-Sciences";;
                108)fac=Dentistry;;
                109)fac="Environment-Management";;
                110)fac=Agro-Industry;;
                111)fac="Liberal-Arts";;
                112)fac=Economics;;
                113)fac=Law;;
                114)fac="Traditional-Thai-Medicine";;
                115)fac="Medical-Technology";;
                166)fac="Pattani-Curruculum";;
                177)fac="Phuket-Campus-Curruculum";;
                188)fac="Surat-Campus-Curruculum";;
                199)fac="Trang-Campus-Curruculum";;
	        psuwit)fac="PSUwit";;
	        other)fac="Other";;
            esac
           echo "<td>${fac}</td>" >> ${file1}
		case ${code1} in 
	       		psuwit)code11="egrep ^psuwit";;
	        	other)code11="egrep -i ^[a-z]|^8|^4[0-8]";;
              		*)code11="egrep [0-9][0-9]${code1}[0-9][0-9][0-9][0-9][0-9]"
		esac

              b=$(ls ${dir3} | cut -d\: -f5 | ${code11} | wc -l) 
           if [ $b = 0 ] ;then
		   echo "<td>&nbsp</td>" >> ${file1}
	   else
	           echo "<td><a href=http://${ip1}/test/report/tickerfaculty/${date2}/${fac}><font color = red>${b}</font></a></td>" >> ${file1}
	           
	  	    file2=${dir2}/${fac}
		    cat /dev/null > ${file2}
        	    date > ${file2}
              	    echo ${fac}-total = ${b}  >> ${file2}
              	    echo "  " >> ${file2}
	    fi
	codecol1=$(echo ${code1} | cut -c1)
        if [ ${codecol1} = 1 ] ;then   
           for j in $(seq ${date5} ${date4}) 
	    do

              	code12="${j}${code1}[0-9][0-9][0-9][0-9][0-9]"
                a=$(ls ${dir3} | cut -d\: -f5 | egrep ${code12} | wc -l) 
		if [ ${a} = 0 ]  ;then
		     linea="&nbsp"
                else
		     linea="<a href=http://${ip1}/test/report/tickerfaculty/${date2}/${fac}>${a}</a>"

				
			     echo ${fac}-${j} = ${a} >> ${file2}

		             grep -irh ${code12} ${dir3}| sort -t\: -k5 -k4 -k2 | cat -n >> ${file2}
			     echo ${dash1} >> ${file2}
		fi
              echo  "<td> ${linea} </<td>" >> ${file1} 
	   done
	else
	   filex=${HOME}/x.tmp
           cat /dev/null > ${filex}
			        ls ${dir3} | cut -d\: -f5 | ${code11} | sort -u | while read other1
			        do
				        egrep -irh ":${other1}" ${dir3} | sort -t\: -k5 -k4 -k2  >> ${filex}
			        done	
				        cat -n ${filex} >> ${file2}
	fi
         echo "</tr>" >> ${file1}
	done
     echo "</table>" >> ${file1}
sudo bash ${HOME}/scripts/reporttickerfacultyallmonth.sh
