#!/bin/bash
# report user per faculty everyday all month
# pom 18-6-56 13.59 

dash1=$(perl -e "printf '-' x 70")
ip1=192.168.26.20
date1=$(date +%B-%Y)
date2=$(date +%d)
date3=$(date +%Y/%m/%d)
#date1=June-2013
#date2=18
#date3=2013/06/18
year1=$(date +%Y)
month1=$(date +%m)

dir1=/var/www/test/report/tickerfacultyallmonth
      if [ ! -d ${dir1} ] ;then
         sudo mkdir -p ${dir1}
      fi
file1=${dir1}/${date1}.html   
cat /dev/null > ${file1}
echo "PC Usage Faculty = <font color = red>${date1}</font>   [$(date)] " > ${file1}
echo "<a href=http://${ip1}/test/report/tickerzoneallmonth>go to reporttickerzoneallmonth</a><br><br>" >> ${file1}
#echo "<meta http-equiv="refresh" content="30" > " >> ${file1}
echo 
dir3=/var/www/ticker/datalog/
echo "<table border = 1><tr>" >> ${file1}
echo "<td>Faculty \ Date</td>" >> ${file1}
for day1 in $(seq -f "%02g" ${date2})
    do
        week1=$(date --date=${year1}${month1}${day1} +%a)
          case ${week1} in
                 Sat)color1=violet;;
                 Sun)color1=red;;
                 *)color1=white;;
          esac
        echo "<td bgcolor = ${color1}>${day1}</font></td>" >> ${file1}
    done

echo "</tr>" >> ${file1}
echo "<tr><td>Summary</td>" >> ${file1}
for day2 in $(seq -f "%02g" ${date2})
    do
	total1=$(ls ${dir3}/${year1}/${month1}/${day2}| wc -l)
        if [ ${total1} = 0 ]  ;then 
		total1="&nbsp"
		echo "<td>${total1}</td>" >> ${file1}
	else
		total1=${total1}	
		echo "<td><a href=http://${ip1}/test/report/tickerfaculty/${year1}-${month1}-${day2}.html><font color = red>${total1}</font></a></td>" >> ${file1}
	fi
    done
echo "</tr>" >> ${file1}
echo "<tr>" >> ${file1}

for code1 in {100..115} 166 177 188 199 psuwit other
	do
	   case ${code1} in
                100)fac="Center-Curriculum";;
                101)fac=Engineering;;
                102)fac=Science;;
                103)fac=Medicine;;
                104)fac=Nursing;;
                105)fac="Management-Sciences";;
                106)fac="Natural-Resources";;
                107)fac="Phamaceutical-Sciences";;
                108)fac=Dentistry;;
                109)fac="Environment-Management";;
                110)fac=Agro-Industry;;
                111)fac="Liberal-Arts";;
                112)fac=Economics;;
                113)fac=Law;;
                114)fac="Traditional-Thai-Medicine";;
                115)fac="Medical-Technology";;
   		166)fac="Pattani-Curruculum";;
                177)fac="Phuket-Campus-Curruculum";;
                188)fac="Surat-Campus-Curruculum";;
                199)fac="Trang-Campus-Curruculum";;
	        psuwit)fac="PSUwit";;
	        other)fac="Other";;
            esac
		case ${code1} in 
	       		psuwit)code11="^psuwit";;
	        	other)code11="^[a-z]|^8|^4[0-8]";;
              		*)code11="[0-9][0-9]${code1}[0-9][0-9][0-9][0-9][0-9]"
		esac
		echo "<td><li>${fac}</li></td>" >> ${file1}

   #----- calculate fac + total
		for j in $(seq -f "%02g" ${date2})

			do
			      dir4=${dir3}/${year1}/${month1}/${j}
			      date4=${year1}-${month1}-${j}
		              total2=$(ls ${dir4} | cut -d\: -f5 | egrep -i ${code11} | wc -l) 
        			if [ ${total2} = 0 ]  ;then 
					total2="&nbsp"
		              echo "<td>${total2}</td>" >> ${file1}
				else
					total2=${total2}	
		              echo "<td><a href=http://$ip1/test/report/tickerfaculty/${date4}/${fac}>${total2}</a></td>" >> ${file1}
				fi
			done
		echo  "</tr>" >> ${file1} 
             done
echo  "</table>" >> ${file1} 


#---http://www.unixcl.com/2009/09/linux-seq-command-format-option-example.html
#
#$ seq -f "%04g" 3
#Output:
#0001
#0002
#0003
#
#
#
#$ seq -f "logfile%02g.txt" 10
#Output:
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#Now, to create 10 files with names logfile01.txt, logfile02.txt ,....., logfile10.txt
#
#
#$ touch $(seq -f "logfile%02g.txt" 10)
#
#$ ls -1
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#FIRST INCREMENT LAST
#Sequence numbers between 1.0003 and 1.0012 with an increment of .00002
#
#
#$ seq -f "1.%04g" 3 2 12
#1.0003
#1.0005
#1.0007
#1.0009
#1.0011
#
#
#-s is to specify separator between sequence numbers.
#
#
#$ seq -s "+" -f "1.%04g" 3 2 12
#1.0003+1.0005+1.0007+1.0009+1.0011
#
#$ seq -s "+" -f "1.%04g" 3 2 12 | bc
#5.0035
#
